# This file created by conda-build 3.25.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Mon Jun 26 18:37:40 2023
# ------------------------------------------------

package:
  name: numba
  version: 0.57.1
source:
  sha256: 33c0500170d213e66d90558ad6aca57d3e03e97bb11da82e6d87ab793648cb17
  url: https://pypi.io/packages/source/n/numba/numba-0.57.1.tar.gz
build:
  entry_points:
    - numba = numba.misc.numba_entry:main
  ignore_run_exports:
    - tbb
  number: '0'
  script:
    - export CC="${CC} -pthread"
    - export CXX="${CXX} -pthread"
    - /home/conda/feedstock_root/build_artifacts/numba_1687804751716/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
      -m pip install . --no-deps --ignore-installed -vvv
  string: py38hd559b08_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 hf600244_0
    - binutils_linux-64 2.40 hbdbef99_0
    - gcc_impl_linux-64 12.3.0 he2b93b0_0
    - gcc_linux-64 12.3.0 h76fc315_0
    - gxx_impl_linux-64 12.3.0 he2b93b0_0
    - gxx_linux-64 12.3.0 h8a814eb_0
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.40 h41732ed_0
    - libgcc-devel_linux-64 12.3.0 h8bca6fd_0
    - libgcc-ng 13.1.0 he5830b7_0
    - libgomp 13.1.0 he5830b7_0
    - libsanitizer 12.3.0 h0f45ef3_0
    - libstdcxx-devel_linux-64 12.3.0 h8bca6fd_0
    - libstdcxx-ng 13.1.0 hfd8a6a1_0
    - sysroot_linux-64 2.12 he073ed8_15
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2023.5.7 hbcca054_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libblas 3.9.0 17_linux64_openblas
    - libcblas 3.9.0 17_linux64_openblas
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 13.1.0 he5830b7_0
    - libgfortran-ng 13.1.0 h69a702a_0
    - libgfortran5 13.1.0 h15d22d2_0
    - libgomp 13.1.0 he5830b7_0
    - liblapack 3.9.0 17_linux64_openblas
    - libllvm14 14.0.6 hcd5def8_3
    - libnsl 2.0.0 h7f98852_0
    - libopenblas 0.3.23 pthreads_h80387f5_0
    - libsqlite 3.42.0 h2797004_0
    - libstdcxx-ng 13.1.0 hfd8a6a1_0
    - libuuid 2.38.1 h0b41bf4_0
    - libzlib 1.2.13 hd590300_5
    - llvmlite 0.40.0 py38h94a1851_0
    - ncurses 6.4 hcb278e6_0
    - numpy 1.21.6 py38h1d589f8_0
    - openssl 3.1.1 hd590300_1
    - pip 23.1.2 pyhd8ed1ab_0
    - python 3.8.17 he550d4f_0_cpython
    - python_abi 3.8 3_cp38
    - readline 8.2 h8228510_1
    - setuptools 68.0.0 pyhd8ed1ab_0
    - tbb 2021.6.0 h924138e_1
    - tbb-devel 2021.6.0 h924138e_1
    - tk 8.6.12 h27826a3_0
    - wheel 0.40.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - importlib-metadata
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - llvmlite >=0.40.0,<0.41.0a0
    - numpy >=1.21.6,<2.0a0
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
  run_constrained:
    - cuda-python >=11.6
    - cuda-version >=10.2
    - cudatoolkit >=10.2
    - libopenblas !=0.3.6
    - numpy >=1.21,!=1.22.0,!=1.22.1,!=1.22.2,<1.25
    - scipy >=1.0
    - tbb >=2021.6.0
test:
  imports:
    - numba
    - numba.core.annotations
    - numba.core.datamodel
    - numba.core.rewrites
    - numba.core.runtime
    - numba.core.typeconv
    - numba.core.typing
    - numba.core.unsafe
    - numba.cuda
    - numba.cuda.cudadrv
    - numba.cuda.kernels
    - numba.cuda.simulator
    - numba.cuda.simulator.cudadrv
    - numba.cuda.tests
    - numba.cuda.tests.cudadrv
    - numba.cuda.tests.cudapy
    - numba.cuda.tests.cudasim
    - numba.cuda.tests.nocuda
    - numba.experimental.jitclass
    - numba.np.ufunc
    - numba.scripts
    - numba.testing
    - numba.tests
    - numba.tests.npyufunc
  requires:
    - cffi
    - gcc_linux-64 12.*
    - gxx_linux-64 12.*
    - ipython
    - jinja2
    - pip
    - scipy
    - setuptools
    - tbb
about:
  description: 'Numba is an Open Source NumPy-aware optimizing compiler for Python

    sponsored by Anaconda, Inc. It uses the remarkable LLVM compiler

    infrastructure to compile Python syntax to machine code."

    '
  dev_url: https://github.com/numba/numba
  doc_url: http://numba.pydata.org/
  home: http://numba.pydata.org
  license: BSD-2-Clause
  license_family: BSD
  license_file: LICENSE
  summary: NumPy aware dynamic Python compiler using LLVM
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - henryiii
    - jakirkham
    - marcelotrevisani
    - mbargull
    - souravsingh
    - step21
